# $Revision: 1.62 $, $Date: 2002/08/28 07:37:41 $
%include	/usr/lib/rpm/macros.python

%define		libxml2ver	2.4.24

Summary:	XSLT processor
Summary(pl):	Procesor XSLT
Summary(pt_BR):	Biblioteca que disponibiliza o sistema XSLT do Gnome
Name:		libxslt
Version:	1.0.20
Release:	2
License:	MIT
Group:		Libraries
Source0:	ftp://xmlsoft.org/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
URL:		http://xmlsoft.org/XSLT/
Requires:	libxml2 >= %{libxml2ver}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= %{libxml2ver}
BuildRequires:	python-libxml2 >= %{libxml2ver}
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libxslt1

%description
Library for XSLT processing.

%description -l pl
Biblioteka do przetwarzania XSLT.

%description -l pt_BR
Esta biblioteca C permite a transformao de arquivos XML em outros
arquivos XML (ou HTML, texto, ...) usando o mecanismo padro de
transformao dos estilos XSLT. O comando xsltproc  uma interface em
linha de comandos para o mecanismo XSLT.

%package devel
Summary:	Development libraries and header files of libxslt
Summary(pt_BR):	Bibliotecas, includes, etc. para incluir o mecanismo XSLT do Gnome
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libxslt1-devel

%description devel
Development libraries and header files of libxslt - XSLT processor.

%description devel -l pl
Pliki nagwkowe i biblioteki developerskie procesora XSLT.

%description devel -l pt_BR
Esta biblioteca C permite a transformao de arquivos XML em outros
arquivos XML (ou HTML, texto, ...) usando o mecanismo padro de
transformao dos estilos XSLT.

%package static
Summary:	Static libraries of libxslt
Summary(pt_BR):	Bibliotecas estticas para incluir o mecanismo XSLT do Gnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries of libxslt - XSLT processor.

%description static -l pl
Statyczne biblioteki procesora XSLT.

%description static -l pt_BR
Esta biblioteca C permite a transformao de arquivos XML em outros
arquivos XML (ou HTML, texto, ...) usando o mecanismo padro de
transformao dos estilos XSLT. Estas so as bibliotecas em sua verso
esttica.

%package progs
Summary:	XSLT processor
Summary(pl):	Procesor XSLT
Group:		Applications/Text
Requires:	%{name} = %{version}
Obsoletes:	libxslt-proc

%description progs
XSLT processor.

%description progs -l pl
Procesor XSLT.

%package -n python-%{name}
Summary:	Python support for libxslt
Summary(pl):	Moduy jzyka Python dla biblioteki libxslt
Group:		Libraries/Python
Requires:	python-libxml2 = %{libxml2ver}
%pyrequires_eq	python-modules
Obsoletes:	libxslt-python

%description -n python-%{name}
Python support for libxslt.

%description -n python-%{name} -l pl
Moduy jzyka Python dla biblioteki libxslt.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO doc/{*.{gif,html},html/*}
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xslt-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/libxslt
%{_includedir}/libexslt
%{_mandir}/man4/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libxslt.spec,v $
Revision 1.62  2002/08/28 07:37:41  qboosh
- updated python-libxslt requirement; release 2

Revision 1.61  2002/08/24 15:45:56  kloczek
- added DESTDIR patch.

Revision 1.60  2002/08/24 10:07:02  kloczek
- updated to 1.0.20: bugfixes.

Revision 1.59  2002/07/31 07:28:44  wrobell
- requires libxml2 2.4.23
- rel. 2, stb

Revision 1.58  2002/07/09 21:43:04  kloczek
- updated to 1.0.19 (bug fix release).

Revision 1.57  2002/07/03 13:15:19  wrobell
- fixed python subpackage requirements
- rel. 2, stb

Revision 1.56  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.55  2002/05/28 13:52:13  wrobell
- ver. 1.0.18 /bugfix release/
- stb

Revision 1.54  2002/05/26 00:16:01  kloczek
- cosmetics.

Revision 1.53  2002/05/25 23:50:22  wrobell
- added missing manuals
- new %%doc
- rel. 2, stb

Revision 1.52  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/01 12:27:46  kloczek
- add some Obsoletes for allow upgrade from MDK version.

Revision 1.50  2002/04/30 13:15:41  michuz
- pkgconfig support

Revision 1.49  2002/04/30 09:47:10  wrobell
- ver. 1.0.17, stb

Revision 1.48  2002/04/17 09:12:42  wrobell
- ver. 1.0.16 /bugfix release/
- stb

Revision 1.47  2002/04/11 13:59:04  wrobell
- rel. 2, stb

Revision 1.46  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.45  2002/03/26 10:40:29  wrobell
- ver. 1.0.15 /bugfix release/
- stb

Revision 1.44  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.43  2002/03/19 17:15:36  wrobell
- ver. 1.0.14
- stb

Revision 1.42  2002/03/18 07:07:12  wrobell
- python subpackage group changed to Libraries/Python
- rel. 2
- stb

Revision 1.41  2002/03/08 21:48:34  wrobell
- ver. 1.0.13
- stb

Revision 1.40  2002/03/07 13:27:43  wrobell
- ver. 1.0.12 - bugfix release

Revision 1.39  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/18 21:13:38  gotar
- %desc

Revision 1.37  2002/02/09 17:03:13  wrobell
- fixed build requirements

Revision 1.36  2002/02/09 15:26:54  wrobell
- more s/lver/libxml2ver/g

Revision 1.35  2002/02/09 15:22:44  kloczek
- be more verbose s/lver/libxml2ver/.

Revision 1.34  2002/02/09 15:16:34  wrobell
- fixed install and build requirements

Revision 1.33  2002/02/09 15:06:54  wrobell
- fixed devel subpackage file list

Revision 1.32  2002/02/09 15:05:04  wrobell
- ver. 1.0.11 /bugfix release/
- python subpackage added
- stb

Revision 1.31  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2002/01/17 00:13:26  kloczek
- updated to 1.0.10 (bugfix release).

Revision 1.29  2001/12/15 23:45:43  kloczek
- remove no_debuger obsoleted patch.

Revision 1.28  2001/12/15 22:39:31  kloczek
- updated to 1.0.9 (bug fix release).

Revision 1.27  2001/11/26 22:47:34  kloczek
- updated to 1.0.8.

Revision 1.26  2001/11/14 21:25:09  kloczek
- added no_debuger patch with remove libxslt debug suit building because this
  isn't automake 1.5 compliant and not neccessary in producition package.

Revision 1.25  2001/11/14 15:17:58  kloczek
- updated to 1.0.7,
- merge translations from CNV.

Revision 1.24  2001/10/30 19:12:42  wrobell
- ver. 1.0.6
- stb.

Revision 1.23  2001/10/11 00:15:25  kloczek
- updated to 1.0.5.

Revision 1.22  2001/10/03 16:41:14  filon
- added requirement for main pkg in devel and for devel in static
- release 2

Revision 1.20  2001/09/21 09:50:12  wrobell
- ver. 1.0.4

Revision 1.19  2001/09/10 00:34:44  kloczek
- release 2,
- spec adapterized,
- added "rm -f missing" on top %build (for proper regenerate am files).

Revision 1.18  2001/09/09 22:14:44  klakier
- desc updated

Revision 1.17  2001/08/24 03:48:17  kloczek
- change Requires for libxml2 and BuildRequires for libxml2-devel to
  2.4.3.

Revision 1.16  2001/08/24 03:45:30  kloczek
- updated to 1.0.3.

Revision 1.15  2001/08/15 16:26:54  kloczek
- updated to 1.0.2.

Revision 1.14  2001/07/26 03:32:44  kloczek
- BuildRequires:  libxml2-devel >= 2.4.1

Revision 1.13  2001/07/25 20:29:27  wrobell
- move xsltproc binary to progs subpackage
- up to ver. 1.0.1
- stb

Revision 1.12  2001/07/13 08:00:46  kloczek
- reorder in %build (aclocal before autocnf).

Revision 1.11  2001/07/12 15:32:05  kloczek
- regenerate also am/lt files.

Revision 1.10  2001/07/12 13:39:51  kloczek
- regenerate ac files and added using %%configure macro (spec is ac 2.50 ready).

Revision 1.9  2001/07/12 12:28:35  wrobell
- up to 1.0.0
- stb

Revision 1.8  2001/07/06 15:31:16  kloczek
- updated to 0.14.0.

Revision 1.7  2001/06/27 09:23:04  kloczek
- updated to 0.13.0.

Revision 1.6  2001/06/17 16:56:42  kloczek
- updated to 0.12.0,
- (Build)Requires: libxml2(-devel) >= 2.3.11,
- new Source url.

Revision 1.5  2001/06/13 20:44:19  kloczek
- bump Requires for libxml2 and BuildRequires for libxml2-devel to 2.3.10.

Revision 1.4  2001/06/02 17:36:56  kloczek
- updated to 0.11.0.

Revision 1.3  2001/05/20 10:55:38  kloczek
- updated to 0.10.0.

Revision 1.2  2001/05/04 00:19:45  wrobell
- ver. 0.9.0

Revision 1.1  2001/04/28 01:05:24  wrobell
- library for XSLT processing
- written from template
